package ru.yandex.wmtools.common.error;

/**
 * @author avhaliullin
 */
public class BlackboxException extends InternalException {
    private final BlackboxProblem blackboxProblem;

    public BlackboxException(BlackboxProblem blackboxProblem, String message) {
        super(InternalProblem.SERVANT_FAILED, "Blackbox problem: \"" + blackboxProblem.name() + "\" Message:" + message);
        this.blackboxProblem = blackboxProblem;
    }

    public BlackboxProblem getBlackboxProblem() {
        return blackboxProblem;
    }
}
